petsc-3.4.2 2013-07-02

# PetscFree2

Frees 2 chunks of memory obtained with PetscMalloc2()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFree2(void *memory1,void *memory2)

Not Collective

### Input Parameter

| memory1 | - memory to free
| memory2 | - 2nd memory to free

Notes: Memory must have been obtained with PetscMalloc2()

### See Also

PetscNew(), PetscMalloc(), PetscMalloc2(), PetscFree()

Level:developer
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex14.c.html